Subject: Re: bug#41413: guix-install.sh broken on Gentoo
From: Maxim Cournoyer <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Date: Wed, 05 May 2021 00:56:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Vincent,

Vincent Legoll <[email-masked]> writes:

> Hello Tobias, ZC,
>
> I created a gentoo VM (i686 / following gentoo handbook) and tried
> the official upstream guix installer.
>
> It worked properly, not detecting the OS init system, I think this is
> because the gentoo handbook made me install cronie instead of plain
> cron, so there's no "/etc/init.d/cron" file. And so it did not try to
> install the guix-daemon service init.d file through update-rc.d.
> And told me to run the daemon manually, which worked OK.
>
> Running it with a local guix-install.sh + binary tarball with my
> pending changes (which includes openrc support). It also worked
> properly, detecting the OS as being openrc managed and doing what
> is needed.
>
> So, I'll still cook up a patch to fix sysvinit detection, because
> assuming sysvinit on the mere presence of /etc/init.d/cron is not
> really the right thing to do. (and the fix will need to be tested
> on a sysvinit-based distro, which I'll do)
>
> But on the other hand, I don't know what to do with this bug report,
> I cannot reproduce the exact problem, and I'm not trying all the other
> available cron variants from gentoo (bcron, dcron, fcron).
>
> So either ZC tells us more about his setup and shows us more output
> to be able to understand what did go wrong, or we cannot help further.
>
> Couldn't keep ZC CC'ed as the issue was created without his email
> address, let's hope he follows it via another way...

It seems the installer is working fine as per your tests and that the
original issue cannot be reproduced.  I'm closing this bug.

Thank you,

Maxim